using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.BusinessLogicsContracts
{
    public interface IOperatorLogic
    {
        List<OperatorViewModel>? ReadList(OperatorSearchModel? model);
        OperatorViewModel? ReadElement(OperatorSearchModel model);
        bool Create(OperatorBindingModel model);
        bool Update(OperatorBindingModel model);
        bool Delete(OperatorBindingModel model);
    }
}
